import logging
# from src.experiment_setup import ExperimentSetup
import argparse

from src.modules.run_environment import RunEnvironment


class Training(RunEnvironment):

    def __init__(self, setup):
        super().__init__()
        self.setup = setup


class PostProcessing(RunEnvironment):

    def __init__(self, setup):
        super().__init__()
        self.setup = setup


if __name__ == "__main__":

    formatter = '%(asctime)s - %(levelname)s: %(message)s  [%(filename)s:%(funcName)s:%(lineno)s]'
    logging.basicConfig(format=formatter, level=logging.DEBUG)

    parser = argparse.ArgumentParser()
    parser.add_argument('--experiment_date', metavar='--exp_date', type=str, nargs=1, default=None,
                        help="set experiment date as string")
    parser_args = parser.parse_args()
    # with run():
    #     setup = ExperimentSetup(parser_args, stations=['DEBW107', 'DEBY081', 'DEBW013', 'DEBW076', 'DEBW087'])
    #     PreProcessing(setup)
